#pragma once
#include "CommonType.h"
#include "CommonFunction.h"


class ChangeNoticeController
{
public:
	ChangeNoticeController(void);
	~ChangeNoticeController(void);
public:
	void Clear();
	void SetNoticeData(const ChangeNoticeData &changeNotice);

	CString GetCheckReasonKR(){return m_strChekReason;}
	CString GetCheckReasonEN(){return m_strChekReasonEn;}
	CString GetCheckReasonJP(){return m_strChekReasonJp;}
	CString GetCheckReasonCN(){return m_strChekReasonCn;}
	CString GetCheckReasonTW(){return m_strChekReasonTw;}
	ChangeType GetChangeTypeCode(){return m_ChangeTypeCode;}
	void GetExposeCycle();
	void GetExpoGetime();
	void GetExposeLocation();
	void GetStartTime();
	void GetEndTime(){};
	CTime GetCheckStartYMDT(){return m_timeCheckStartYMDT;}
	CTime GetCheckEndYMDT(){return m_timeCheckEndYMDT;}

	BOOL IsExposeLogin();
	BOOL IsExposePopup();
	BOOL IsExposeCycleLogin();
	BOOL IsExposeCycleDay();
	BOOL IsExposeCycleMin();
	BOOL IsExposeDomain();
	
	void ChangeNoticeView();
	BOOL IsNoticeDlgLoginShow();
	BOOL IsLoginDlgShow();


private:
	int m_nChangeNoticeSeq;					//Ϸùȣ
	CString m_strChekReason;					//
	CString m_strChekReasonEn;					//()
	CString m_strChekReasonJp;					//(Ͼ)
	CString m_strChekReasonCn;					//(߱ü)
	CString m_strChekReasonTw;					//(߱ü)
	ChangeType m_ChangeTypeCode;					//Ÿڵ
	std::vector<WSTRING> vecExposureCycleCd;	//ֱŸڵ 
	CTime m_timeExposureHM;			//˾ֱⰡ (1 1ȸϰ ð)
	std::vector<WSTRING> vecExposureLocation;	//ġ  
	CTime m_timeStartYMDT;			//Խý۽ð
	CTime m_timeEndYMDT;			//Խð
	CTime m_timeCheckStartYMDT;		//˽۽ð
	CTime m_timeCheckEndYMDT;		// ð


	CString m_strCurrentLastModifyTime;
	CString m_strPrevLastModifyTime;// 

private:
	BOOL	bExposeLogin;
	BOOL	bExposePopup;
	BOOL	bExposeCycleLogin;
	BOOL	bExposeCycleDay;
	BOOL	bExposeCycleMin;

	void SetChangeNoticeSeq(int nSeq){m_nChangeNoticeSeq  = nSeq;}
	void SetCheckReasonKR(CString strReason){m_strChekReason = strReason;}
	void SetCheckReasonEN(CString strReason){m_strChekReasonEn = strReason;}
	void SetCheckReasonJP(CString strReason){m_strChekReasonJp = strReason;}
	void SetCheckReasonCN(CString strReason){m_strChekReasonCn = strReason;}
	void SetCheckReasonTW(CString strReason){m_strChekReasonTw = strReason;}
	void SetChangeTypeCode(ChangeType typeCode);
	void SetExposeCycle(CString strExposeCycle);
	void SetExposeTime(CString strHM);
	void SetExposeLocation(CString strLocation);
	void SetStartTime(long ltime);
	void SetEndTime(long ltime);
	void SetCheckStartYMDT(long ltime);
	void SetCheckEndYMDT(long ltime);
	CString m_strChangeTypeTitle;
	
};
